Get information about all confirmation mailings
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/confirmations
clientIdinteger<int64>Client ID
offsetinteger<int32><p>Starting point of the result list Default value : 0</p>
limitinteger<int32><p>Maximum number of confirmation mailingsDefault value : 100</p>
mediaTypestring<p>Filter mailings by media typeAvailable values : email, sms, letter, push</p>
resultViewstring<p>Choose whether to retrieve a DETAILED view including all nodes (messages, recipient lists, target groups) or a SUMMARY of metadata.Note: The more campaigns you have, the more time the detailed view takes to load.</p>
statusstring<p>Filter mailings by statusAvailable values : invalid, activationRequired, activated, canceled, paused, running, finished</p>
sortstringSort result by specific criteria
folderIdinteger<int64>Filter mailings assigned to a folder
directionstringSort order
acceptstringGenerated from available response content types
200<p>A list of all confirmation mailings was retrieved (empty if none exists).</p>
400Invalid limit request. Change the limit to less than 10000.
curl --request GET \
--url 'https://api.campaign.episerver.net/rest/{clientId}/confirmations?resultView=SUMMARY&sort=created' \
--header 'accept: application/json'